package cn.reghao.tnb.content.app.vod.service;

import cn.reghao.jutil.jdk.web.db.PageList;
import cn.reghao.tnb.content.api.dto.VideoCard;
import cn.reghao.tnb.content.app.vod.model.vo.*;

import java.util.*;

/**
 * @author reghao
 * @date 2023-08-26 21:27:07
 */
public interface SearchService {
    /**
     * 根据输入返回最适合的搜索关键词
     *
     * @param
     * @return
     * @date 2021-12-08 下午7:06
     */
    List<SuggestKeyword> suggestKeyword(String keyword);
    PageList<VideoCard> searchByKeyword(String keyword, String nextIdStr, int pageNumber);
    List<HotSearch> getHotSearch();
}
